<template>
    <div class="container">
        <h1>Twitch Flag Quiz</h1>
        <div class="left">
            <input
                v-model="channelName"
                class="input"
                placeholder="0to100ink"
                @keydown.enter="saveChannel"
            />
            <h2>Twitch Channel Name</h2>
        </div>
        <img src="/Arrow.svg" @click="saveChannel" />
    </div>
</template>

<script>
export default {
    data() {
        return {
            channelName: '',
        }
    },
    methods: {
        saveChannel() {
            this.$store.commit('setChannelName', this.channelName)
            this.$router.push('/Join')
        },
    },
}
</script>

<style scoped>
.container {
    margin: 0 auto;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.left {
    width: 460px;
    text-align: left;
}

img {
    cursor: pointer;
}
</style>
